import React, { ComponentType, CSSProperties, PureComponent } from "react";
import { NormalizedAreaSelection, SelectionType } from "../index";
import { AreaSelectionProps } from "./AreaSelection";
import { NewAreaSelectionProps } from "./NewAreaSelection";
import { TextSelectionProps } from "./TextSelection";
export interface PdfPageData {
    pageRefs: Map<number, HTMLDivElement | null>;
    areaSelectionActivePage: number;
    pageDimensions?: Map<number, {
        width: number;
        height: number;
    }>;
    selectionMap?: Map<number, SelectionType[]>;
    enableAreaSelection?: (event: React.MouseEvent) => boolean;
    onAreaSelectionStart?: (pageNumber: number) => void;
    onAreaSelectionEnd?: (selection: NormalizedAreaSelection) => void;
    textSelectionComponent?: ComponentType<TextSelectionProps>;
    areaSelectionComponent?: ComponentType<AreaSelectionProps>;
    newAreaSelectionComponent?: ComponentType<NewAreaSelectionProps>;
}
interface VirtualizedPdfPageWrapper {
    index: number;
    style: CSSProperties;
    data: PdfPageData;
}
export declare class VirtualizePdfPageWrapper extends PureComponent<VirtualizedPdfPageWrapper> {
    getPageData: () => {
        pageNumber: number;
        style: React.CSSProperties;
        areaSelectionActive: boolean;
        pageDimensions: {
            width: number;
            height: number;
        } | undefined;
        selections: SelectionType[] | undefined;
        pageRefs: Map<number, HTMLDivElement | null>;
        areaSelectionActivePage: number;
        selectionMap?: Map<number, SelectionType[]> | undefined;
        enableAreaSelection?: ((event: React.MouseEvent<Element, MouseEvent>) => boolean) | undefined;
        onAreaSelectionStart?: ((pageNumber: number) => void) | undefined;
        onAreaSelectionEnd?: ((selection: NormalizedAreaSelection) => void) | undefined;
        textSelectionComponent?: React.ComponentClass<TextSelectionProps, any> | React.FunctionComponent<TextSelectionProps> | undefined;
        areaSelectionComponent?: React.ComponentClass<AreaSelectionProps, any> | React.FunctionComponent<AreaSelectionProps> | undefined;
        newAreaSelectionComponent?: React.ComponentClass<NewAreaSelectionProps, any> | React.FunctionComponent<NewAreaSelectionProps> | undefined;
    };
    render: () => JSX.Element;
}
export {};
